function FI = interleft(F,a,K,len)

Ftemp=F(1,end:-1:end-K+1);
aTemp=a(2:end);
FI=zeros(1,len);
for i=1:len
    
   FI(i) = -(aTemp*Ftemp');
   Ftemp = circshift(Ftemp,[0 1]);
   Ftemp(1)=FI(i);
   

end